package ru.other.company.card.service.provider;

import static org.junit.Assert.*;

import java.math.BigDecimal;
import org.junit.Test;
import ru.crystals.pos.api.plugin.card.CardSearchResponse;
import ru.crystals.pos.api.plugin.card.CardSearchResponseStatus;
import ru.crystals.pos.spi.receipt.CardStatus;

public class CardStorageTest {

    @Test
    public void testFindCardByNumber() {
        CardStorage cardStorage = new CardStorage();

        assertNull(cardStorage.findCardByNumber("780000000000"));

        CardSearchResponse response = cardStorage.findCardByNumber("780000000001");
        assertNotNull(response);
        assertEquals(CardSearchResponseStatus.OK, response.getResponseStatus());
        assertNotNull(response.getCard());
        assertEquals("780000000001", response.getCard().getCardNumber());
        assertEquals(CardStatus.BLOCKED, response.getCard().getCardStatus());
        assertNull(response.getCard().getBonusBalance());

        response = cardStorage.findCardByNumber("780000000002");
        assertNotNull(response);
        assertEquals(CardSearchResponseStatus.OK, response.getResponseStatus());
        assertNotNull(response.getCard());
        assertEquals("780000000002", response.getCard().getCardNumber());
        assertEquals(CardStatus.ACTIVE, response.getCard().getCardStatus());
        assertNotNull(response.getCard().getCardHolder());
        assertEquals("0002", response.getCard().getCardHolder().getId());
        assertEquals("Ирина", response.getCard().getCardHolder().getFirstName());
        assertEquals("Баранова", response.getCard().getCardHolder().getLastName());
        assertEquals("Петровна", response.getCard().getCardHolder().getMiddleName());
        assertNotNull(response.getCard().getBonusBalance());
        assertEquals(BigDecimal.valueOf(54.23).longValue(), response.getCard().getBonusBalance().getBalance().longValue());
        assertNotNull(response.getCashierMessages());
        assertEquals(1, response.getCashierMessages().size());
        assertEquals("Ирина Петровна, заполните, пожалуйста, анкету в своем личном кабинете", response.getCashierMessages().get(0));
    }

    @Test
    public void testFindCardByMobileNumber() {
        CardStorage cardStorage = new CardStorage();

        assertNotNull(cardStorage.findCardByMobileNumber("9211266667"));
    }
}
