package foo.payment.plugin;

import org.slf4j.Logger;
import ru.crystals.pos.api.plugin.FunctionPlugin;
import ru.crystals.pos.api.plugin.function.FunctionEnableResult;
import ru.crystals.pos.api.plugin.function.VoidResult;
import ru.crystals.pos.spi.IntegrationProperties;
import ru.crystals.pos.spi.POSInfo;
import ru.crystals.pos.spi.ResBundle;
import ru.crystals.pos.spi.annotation.Inject;
import ru.crystals.pos.spi.annotation.POSPlugin;
import ru.crystals.pos.spi.plugin.function.FunctionRequest;
import ru.crystals.pos.spi.receipt.Receipt;
import ru.crystals.pos.spi.ui.UIForms;

import javax.annotation.PostConstruct;
import java.util.Optional;

@POSPlugin(id = "foo.service.function.posinfo")
public class PosInfoFunctionPlugin implements FunctionPlugin {

    @Inject
    private POSInfo pos; // параметры кассы
    
    @Inject
    private IntegrationProperties properties; // настройки интеграции и плагина

    @Inject
    private UIForms ui; // формы кассы

    @Inject
    private Logger log; // логирование
    
    @Inject
    private ResBundle res; // локализованные ресурсы

    @PostConstruct
    private void init() {
        log.info("Plugin {} loaded", this.getClass());
    }

    @Override
    public void execute(FunctionRequest request) {
        log.info("Call method execute");
        ui.showMessageForm(String.format(res.getString("posinfo.message"), pos.getPOSNumber(), pos.getShopNumber()), () -> request.getCallback().completed(new VoidResult()));
    }

    @Override
    public FunctionEnableResult enabled(Optional<Receipt> receipt) {
        return new FunctionEnableResult();
    }
}
