package ru.crystals.pos.api.card;

import ru.crystals.pos.spi.receipt.Counterparty;

/**
 * Сущность, описывающая контрагента
 */
public class CounterpartyEntity implements Counterparty {
    /**
     * GUID контрагента
     */
    private String guid;

    /**
     * ИНН
     */
    private String inn;

    /**
     * КПП
     */
    private String kpp;

    /**
     * Имя контрагента
     */
    private String name;

    /**
     * Полное имя контрагента
     */
    private String fullName;

    /**
     * Телефон контрагента
     */
    private String phone;

    /**
     * Номер контрагента из SAP
     */
    private String debitorNumber;

    /**
     * Тип контрагента
     */
    private String debitorType;

    /**
     * Юридический адрес контрагента
     */
    private String juristicAddress;

    /**
     * Физический адрес контрагента
     */
    private String physicalAddress;


    @Override
    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    @Override
    public String getInn() {
        return inn;
    }

    public void setInn(String inn) {
        this.inn = inn;
    }

    @Override
    public String getKpp() {
        return kpp;
    }

    public void setKpp(String kpp) {
        this.kpp = kpp;
    }

    @Override
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    @Override
    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    @Override
    public String getDebitorNumber() {
        return debitorNumber;
    }

    public void setDebitorNumber(String debitorNumber) {
        this.debitorNumber = debitorNumber;
    }

    @Override
    public String getDebitorType() {
        return debitorType;
    }

    public void setDebitorType(String debitorType) {
        this.debitorType = debitorType;
    }

    @Override
    public String getJuristicAddress() {
        return juristicAddress;
    }

    public void setJuristicAddress(String juristicAddress) {
        this.juristicAddress = juristicAddress;
    }

    @Override
    public String getPhysicalAddress() {
        return physicalAddress;
    }

    public void setPhysicalAddress(String physicalAddress) {
        this.physicalAddress = physicalAddress;
    }

    @Override
    public String toString() {
        return "CounterpartyEntity{" +
                "guid='" + guid + '\'' +
                ", inn='" + inn + '\'' +
                ", kpp='" + kpp + '\'' +
                ", name='" + name + '\'' +
                ", fullName='" + fullName + '\'' +
                ", phone='" + phone + '\'' +
                ", debitorNumber='" + debitorNumber + '\'' +
                ", debitorType='" + debitorType + '\'' +
                ", juristicAddress='" + juristicAddress + '\'' +
                ", physicalAddress='" + physicalAddress + '\'' +
                '}';
    }
}
