package ru.crystals.pos.api.ext.loyal.dto;

import java.util.Set;

/**
 * Рекламная акция Set10.
 * @since 0.0.46
 */
public interface AdvertisingAction {
    /**
     * Возвращает глобальный уникальный идентификатор.
     * @return guid идентификатор рекламной акции.
     */
    Long getGuid();

    /**
     * Возвращает название акции.
     * @return название акции
     */
    String getName();

    /**
     * Возвращает внешний код рекламной акции (определяется внешней системой, в которой акция была создана;
     * в случае создания акции в Set10 - определяется при создании акции)
     * @return внешний код рекламной акции
     */
    String getExternalCode();

    /**
     * Возвращает коллекцию меток рекламной акции.
     * @return коллекция меток рекламной акции или пустая коллекция, если таких нет.
     */
    Set<String> getLabels();
}
