package ru.crystals.pos.api.ext.loyal.dto.auxiliaries;

/**
 * Перечисление стратегий сохранения фидбеков от плагинов лояльности.<br>
 * Плагин может сгенерировать более одного фидбека в рамках одного чека. И у плагина может возникнуть необходимость либо заместить старые фидбеки
 * для чека, либо присоеденить к ним ещё один. Способ сохранения фидбеков и задаётся этой стратегией.
 * @since 0.0.30
 */
public enum FeedbackSavingStrategy {
    /**
     * Заменяет фидбек новым. Если в рамках чека были ещё какие-то фидбеки, они удаляются.
     */
    REPLACE,
    /**
     * Добавляет фидбек к уже созданным.
     */
    APPEND
}
