package ru.crystals.pos.api.plugin.card;

import ru.crystals.pos.api.card.CardEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * Отклик на запрос поиска/выдачи карты.
 * @since 0.0.65
 */
public class CardIssueResponse {
    /**
     * Карта, которую необходимо добавить в чек
     */
    private CardEntity card;

    /**
     * Код товара типа "Дисконтная карта", который необходимо добавить в чек
     */
    private String cardProductCode;

    /**
     * Сообщения кассиру в случае успешного добавления карты
     */
    private List<String> cashierMessages;

    public CardIssueResponse() {
    }

    public CardIssueResponse(CardEntity card, String cardProductCode) {
        this.card = card;
        this.cardProductCode = cardProductCode;
    }

    public CardEntity getCard() {
        return card;
    }

    public void setCard(CardEntity card) {
        this.card = card;
    }

    public String getCardProductCode() {
        return cardProductCode;
    }

    public void setCardProductCode(String cardProductCode) {
        this.cardProductCode = cardProductCode;
    }

    public List<String> getCashierMessages() {
        if (cashierMessages == null) {
            cashierMessages = new ArrayList<>();
        }
        return cashierMessages;
    }

    @Override
    public String toString() {
        return "CardIssueResponse{" +
                "card=" + card +
                ", cardProductCode='" + cardProductCode + '\'' +
                '}';
    }
}
