package ru.crystals.pos.api.plugin.card;

import java.util.HashMap;
import java.util.Map;

/**
 * Отклик на запрос обработки окончания поиска карты.
 * @since 1.0.0
 */
public class CardSearchFinishedResponse {

    /**
     * Мапа расширенных атрибутов, которые плагин может добавить в чек.<br>
     * Заполняется плагином в случае, если он хочет добавить к чеку какие-то дополнительные параметры.
     */
    private Map<String, String> receiptExtendedAttributes = new HashMap<>();

    public CardSearchFinishedResponse() {
    }

    /**
     * Мапа расширенных атрибутов, которые плагин может добавить в чек.<br>
     * Заполняется плагином в случае, если он хочет добавить к чеку какие-то дополнительные параметры.
     * @return мапу расширенных атрибутов чека или пустую мапу, если таких нет.
     */
    public Map<String, String> getReceiptExtendedAttributes() {
        return receiptExtendedAttributes;
    }

    @Override
    public String toString() {
        return "CardSearchFinishedResponse{" +
                "extendedAttributes=" + receiptExtendedAttributes +
                '}';
    }
}
