package ru.crystals.pos.api.plugin.function.dto;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

/**
 * Оплата чека в {@link Receipt}
 */
public class Payment {

    /**
     * Идентификатор типа оплаты
     * Возможно использовать базовые типа (см.{@link PaymentType#getTypeId()}) и ID SetApi плагинов оплаты
     */
    private final String type;

    /**
     * Сумма оплаты
     */
    private final BigDecimal amount;

    /**
     * Дополнительные данные оплаты &lt;ключ, значение&gt;
     */
    private final Map<String, String> data = new HashMap<>();

    public Payment(String type, BigDecimal amount) {
        this.type = type;
        this.amount = amount;
    }

    public String getType() {
        return type;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public Map<String, String> getData() {
        return data;
    }

    @Override
    public String toString() {
        return "Payment{" +
                "type=" + type +
                ", amount=" + amount +
                ", data=" + data +
                '}';
    }
}
