package ru.crystals.pos.api.plugin.function.dto;

/**
 * Ключи для использования с полем дата ({@link Position#data})
 * Данные определенными этим ключам касса выполняет фиксированные действия
 * Если используется произвольный ключ, то значение просто сохраняется в плагиных свойствах позиции
 */
public enum PositionDataKey {

    /**
     * Причина возврата.
     * Касса сохранит значение в плагинное свойство позиции с ключом "returnReason", как и при выборе причины из списка на кассе
     */
    REFUND_REASON,
    /**
     * Код страны происхождения товара
     * Касса сохранит значение в плагинное свойство позиции с ключом "ffdTag1230"
     */
    FFD_TAG_1230,
    /**
     * Номер декларации на товар
     * Касса сохранит значение в плагинное свойство позиции с ключом "ffdTag1231"
     */
    FFD_TAG_1231,
    /**
     * Мера количества предмета расчета.
     * Касса сохранит значение в плагинное свойство позиции с ключом "ffdTag2108"
     */
    FFD_TAG_2108,
    /**
     * Признак способа расчета
     */
    CALCULATION_METHOD,
    ;
}
