package ru.crystals.pos.api.plugin.user;

import java.io.Serializable;

/**
 * Перечисление привилегий кассира
 */
public enum UserRight implements Serializable {

    /**
     * SetAPI Возврат по чеку
     */
    REFUND_RECEIPT,
    /**
     * SetAPI Возврат день в день
     */
    REFUND_RECEIPT_DAY_TO_DAY,
    /**
     * SetAPI Возврат без чека
     */
    REFUND_ARBITRARY,
    /**
     * SetAPI Возврат по старому чеку
     */
    REFUND_OLD_RECEIPT,
    /**
     * SetAPI Смена типа оплаты
     */
    CHANGE_PAYMENT_TYPE,
    /**
     * SetAPI Изменение цены
     */
    CHANGE_PRICE,
    /**
     * SetAPI Способ возврата - платёжная карта оффлайн
     */
    REFUND_OFFLINE_BANK_CARD,
    /**
     * SetAPI Печать документа
     */
    PRINT_DOCUMENT,
    /**
     * SetAPI Работа с юридическими лицами
     */
    PROCESS_JURISTIC_PERSON,
    /**
     * SetAPI Добавление доставки
     */
    ADD_DELIVERY,
    /**
     * SetAPI Ручной ввод номеров подарочных карт
     */
    GIFT_CARD_MANUAL_INPUT,
    /**
     * SetAPI Выдача зарплаты на кассе
     */
    SALARY_PAYMENT
}
