package ru.crystals.pos.api.receipt;

import ru.crystals.pos.spi.receipt.Merchandise;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Optional;

/**
 * Сущность, описывающая товар (в чековой позиции).
 */
public class MerchandiseEntity implements Merchandise, Serializable {

    private String marking;
    private String name;
    private String manufacturer;
    private String country;
    private BigDecimal price;
    private String barcode;
    private float nds;
    private String groupCode;
    private Integer calculationSubject;
    private String externalData;
    private boolean volumeVarietalCounting;

    public MerchandiseEntity() {
        // Has to have a no-arg constructor.
    }

    @Override
    public String getMarking() {
        return marking;
    }

    public void setMarking(String marking) {
        this.marking = marking;
    }

    @Override
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    @Override
    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    @Override
    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    @Override
    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    @Override
    public float getNds() {
        return nds;
    }

    public void setNds(float nds) {
        this.nds = nds;
    }

    @Override
    public String getGroupCode() {
        return groupCode;
    }

    public void setVolumeVarietalCounting(boolean volumeVarietalCounting) {
        this.volumeVarietalCounting = volumeVarietalCounting;
    }

    @Override
    public boolean isVolumeVarietalCounting() {
        return volumeVarietalCounting;
    }

    /**
     * Устанавливает идентификатор товарной группы.
     * @param groupCode идентификатор товарной группы.
     * @since 0.0.46
     */
    public void setGroupCode(String groupCode) {
        this.groupCode = groupCode;
    }

    @Override
    public Integer getCalculationSubject() {
        return calculationSubject;
    }

    public void setCalculationSubject(Integer calculationSubject) {
        this.calculationSubject = calculationSubject;
    }

    @Override
    public Optional<String> getExternalData() {
        return Optional.ofNullable(externalData);
    }

    public void setExternalData(String externalData) {
        this.externalData = externalData;
    }

    @Override
    public String toString() {
        return "MerchandiseEntity{" +
                "marking='" + marking + '\'' +
                ", name='" + name + '\'' +
                ", manufacturer='" + manufacturer + '\'' +
                ", country='" + country + '\'' +
                ", price=" + price +
                ", barcode='" + barcode + '\'' +
                ", nds=" + nds +
                ", groupCode='" + groupCode + '\'' +
                ", calculationSubject='" + calculationSubject + '\'' +
                ", externalData='" + externalData + '\'' +
                '}';
    }
}
