package ru.crystals.pos.spi;

import java.util.List;

/**
 * Интерфейс для получения данных из фискального регистратора
 *
 * @since 0.0.98
 */
public interface FiscalInfo {

    /**
     * @return типы систем налогообложения
     */
    List<TaxationType> getTaxationTypes();

    /**
     * @return место расчетов
     */
    String getPaymentLocation();

    /**
     * @return ИНН ОФД
     */
    String getOfdInn();

    /**
     * @return возвращает номер автомата
     * @since 0.0.102
     */
    default String getMachineNumber() {
        return null;
    }

    /**
     * @return Адрес установки ККТ
     * @since 0.0.102
     */
    default String getPOSLocation() {
        return null;
    }

}
