package ru.crystals.pos.spi;

/**
 * Типы систем налогообложения
 *
 * @since 0.0.98
 */
public class TaxationType {

    /**
     * Общая
     */
    public static final TaxationType OSN = new TaxationType("OSN");

    /**
     * Упрощенная доход
     */
    public static final TaxationType USN_INCOME = new TaxationType("USN_INCOME");

    /**
     * Упрощенная доход минус расход
     */
    public static final TaxationType USN_INCOME_OUTCOME = new TaxationType("USN_INCOME_OUTCOME");

    /**
     * Единый сельскохозяйственный доход
     */
    public static final TaxationType ESN = new TaxationType("ESN");

    /**
     * Патентная система налогообложения
     */
    public static final TaxationType PATENT = new TaxationType("PATENT");

    /**
     * Единый налог на вмененный доход
     */
    public static final TaxationType ENVD = new TaxationType("ENVD");

    private final String name;

    private TaxationType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
}
