package ru.crystals.pos.spi.plugin.function;

import ru.crystals.pos.api.plugin.function.FunctionResult;
import ru.crystals.pos.api.plugin.function.VoidResult;

/**
 * Оповещение об завершение вызова функционального плагина
 */
public interface FunctionCallback {

    /**
     * Функциональный плагин завершил работу с пустым результатом
     */
    default void completed() {
        completed(new VoidResult());
    }

    /**
     * Функциональный плагин завершил работу
     * @param result результат выполнения
     */
    void completed(FunctionResult result);
}
