package ru.crystals.pos.spi.plugin.goods;


import ru.crystals.pos.spi.receipt.Merchandise;
import ru.crystals.pos.spi.receipt.Receipt;

/**
 * Запрос на добавление товара в чек произвольного возврата.
 * @see AddForSaleRequest
 * @since 0.0.34
 */
public interface AddForRefundRequest {

    /**
     * Возвращает товар, который необходимо добавить в чек
     * @return товар.
     */
    Merchandise getMerchandise();


    /**
     * Возвращает чек, в который добавляется товар.
     * @return чек
     */
    Receipt getReceipt();

    /**
     * Возвращает оповещатель кассы о добавлении товара в чек.
     * @return слушатель события завершения добавления товара
     */
    AddForRefundCallback getCallback();
}
