package ru.crystals.pos.spi.plugin.ui;

/**
 * Интерфейс отправки сообщений в WebView
 */
public interface WebViewCallback {
    /**
     * Отправка произвольного сообщения
     *
     * @param message сообщение для WebView
     */
    void send(String message);

    /**
     * Закрытие формы WebView
     */
    void close();

    /**
     * Закрытие формы WebView с передачей результата от кассы в событии
     * @param result - данные от плагина для события о закрытии
     */

    void close(String result);

    /**
     *  Уведомить кассу об окончании загрузки WebView для генерации события об открытии
     * @param result - данные от плагина для события об открытии
     */
    void webViewLoaded(String result);
}
