package ru.crystals.pos.spi.receipt;

/**
 * Признак агента по предмету расчета
 *
 * @since 0.0.102
 */
public class AgentSubject {

    /**
     * Банковский платежный агент
     */
    public static final AgentSubject BANK_PAYING_AGENT = new AgentSubject("BANK_PAYING_AGENT");

    /**
     * Банковский платежный субагент
     */
    public static final AgentSubject BANK_PAYING_SUBAGENT = new AgentSubject("BANK_PAYING_SUBAGENT");

    /**
     * Платежный агент
     */
    public static final AgentSubject PAYING_AGENT = new AgentSubject("PAYING_AGENT");

    /**
     * Платежный субагент
     */
    public static final AgentSubject PAYING_SUBAGENT = new AgentSubject("PAYING_SUBAGENT");

    /**
     * Поверенный
     */
    public static final AgentSubject ATTORNEY = new AgentSubject("ATTORNEY");

    /**
     * Комиссионер
     */
    public static final AgentSubject COMMISSION_AGENT = new AgentSubject("COMMISSION_AGENT");

    /**
     * Другой тип агента
     */
    public static final AgentSubject ANOTHER = new AgentSubject("ANOTHER");

    private final String name;

    private AgentSubject(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
}
