package ru.crystals.pos.spi.receipt;

import java.math.BigDecimal;
import java.util.Date;

/**
 * "Под-баланс" бонусного счета: информация о том, сколько бонусов "сгорают" в указанную дату.
 */
public interface BonusSubBalance {

    /**
     * @return сумму бонусов
     */
    BigDecimal getAmount();

    /**
     * @return дату окончания действия бонусов
     */
    Date getFinishDate();

    /**
     * @return флаг-признак, что данная сумма бонусов активна на данный момент
     */
    boolean isActive();
}
