package ru.crystals.pos.spi.receipt;

import ru.crystals.pos.api.card.BalanceType;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Транзакция начисления / списания бонусов
 */
public interface BonusTransaction {

    /**
     * @return Название счёта
     */
    String getAccountTypeName();

    /**
     * @return количество бонусов
     * - для списания (&lt;0)
     * - для начисления (&gt;0)
     */
    BigDecimal getAmount();

    /**
     * @return GUID рекламной акции
     */
    Long getAdvertisingActionGuid();

    /**
     * @return номер карты, бонусный счет которой меняется
     */
    String getCardNumber();

    /**
     * @return тип баланса - бонусы/фишки
     */
    BalanceType getBalanceType();

    /**
     * @return дату окончания действия бонусов
     */
    Date getFinishDate();
}
