package ru.crystals.pos.spi.ui;

import java.util.Objects;

/**
 * Описание строки таблицы, поддерживающей выбор строк.
 */
public class TableSelectionFormRow extends TableFormRow {

    /**
     * Признак доступности строки для выбора.
     */
    private boolean enabled = true;

    /**
     * Признак выбора строки.
     */
    private boolean selected = true;

    /**
     * Возвращает признак доступности строки для выбора.
     *
     * @return признак доступности строки для выбора
     */
    public boolean isEnabled() {
        return enabled;
    }

    /**
     * Устанавливает признак доступности строки для выбора.
     *
     * @param enabled признак доступности строки для выбора
     */
    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }

    /**
     * Возвращает признак выбора строки.
     *
     * @return признак выбора строки
     */
    public boolean isSelected() {
        return selected;
    }

    /**
     * Устанавливает признак выбора строки.
     *
     * @param selected признак выбора строки
     */
    public void setSelected(boolean selected) {
        this.selected = selected;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        if (!super.equals(o)) return false;
        TableSelectionFormRow that = (TableSelectionFormRow) o;
        return enabled == that.enabled && selected == that.selected;
    }

    @Override
    public int hashCode() {
        return Objects.hash(super.hashCode(), enabled, selected);
    }
}
